Bug 756245

Summary: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
Product: [Fedora] Fedora Reporter: Andrea Dell'Amico <adellam>
Component: GConfAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED EOL QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: 2.byte.hero, 777tahder, abdelmalek_alg, adrigiga, ambijat, andreasantilli, bugsgentoo, bugzilla.redhat.meer, cooly, david.airbus, drees76, drfudgeboy, duffy, eagleg33k, emrsdias, fedora, freribeiro, garrett.mitchener, geslinux, gregory-bekkers, ildar.mulyukov, itsjustarumour.tech, jaherring, jansen, jean.cedric.t, jfbeltran, jigmantao, jik, jimlinuxuser, juergen.dankoweit, le.poittevin.laurent, lionel, loganjerry, matthew.hooper, maxx, mcrha, mdmpsyd, me, mmello, mukheema, nelufar_up, olivier, openhoat, pmpcdg, py, rhbug, rhbz, robert.keersse, roman, sly, stsp, tribby21, ulixes84, zashme
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Unspecified   
Whiteboard: abrt_hash:8931ad81bf285a15adbc162c2b6357df2af31f6b
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 20:34:57 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: event_log
none
File: dso_list
none
File: smolt_data
none
File: xsession_errors
none
File: maps
none
File: backtrace
none
The log of evolution not starting
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
File: backtrace
none
gnome-terminal crash - backtrace
none
GConf2 crash after login
none
attempting to start gnome-terminal
none
tracing gconfd-2 while attempting to start gnome-terminal none

Description Andrea Dell'Amico 2011-11-22 20:45:47 EST
libreport version: 2.0.7
abrt_version:   2.0.6
backtrace_rating: 4
cmdline:        evolution
executable:     /usr/bin/evolution
kernel:         3.1.1-2.fc16.i686
pid:            27809
pwd:            /home/adellam
reason:         Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
time:           Wed 23 Nov 2011 02:31:51 AM CET
uid:            501
username:       adellam

backtrace:      Text file, 44058 bytes
dso_list:       Text file, 17642 bytes
event_log:      Text file, 3166 bytes
maps:           Text file, 50642 bytes
smolt_data:     Text file, 2817 bytes
xsession_errors: Text file, 69080 bytes

environ:
:XDG_VTNR=7
:SUPPORTED=en_US.UTF-8:en_US:en:it_IT.UTF-8:it_IT@euro
:XDG_SESSION_ID=12
:HOSTNAME=lilith
:PILOTRATE=115200
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:LINGUAS=en_US.UTF-8
:HOST=lilith
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=e33cf2622bf7907a8276519e00000015-1321957128.516101-1673087769
:IGNOREEOF=1
:TMPDIR=/var/tmp/adellam
:MORE=-c
:LC_ALL=en_US.UTF-8
:IMSETTINGS_MODULE=none
:USER=adellam
:OSVERSION=Linux3
:PILOTPORT=/dev/pilot
:USERNAME=adellam
:PAGER=less
:XRSH_AUTH_TYPE=xauth
:MAIL=/var/spool/mail/adellam
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/sbin:/usr/sbin:/usr/games:/home/adellam/bin:/sbin:/usr/sbin:/usr/games:/home/adellam/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/adellam
:XMODIFIERS=@im=none
:EDITOR=vi
:DOMAIN=(none)
:LANG=en_US.UTF-8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:CVSUMASK=007
:HISTCONTROL=ignoredups
:HOME=/home/adellam
:XDG_SEAT=seat0
:SHLVL=1
:LANGUAGE=en_US.UTF-8
:CVS_SHELL=ssh
:BASH_ENV=/home/adellam/.bashrc
:'LESS=-i -m -s'
:LOGNAME=adellam
:VISUAL=vi
:LC_CTYPE=en_US.UTF-8
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-YaipfmrVgm,guid=ef887382385197b47ef8763f000049ce
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:CVSEDITOR=vi
:WINDOWPATH=7
:PROFILEHOME=/home/adellam/.profile.d
:XDG_RUNTIME_DIR=/run/user/adellam
:DISPLAY=:2
:XAUTHORITY=/var/run/gdm/auth-for-adellam-ic79l2/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/11714,unix/unix:/tmp/.ICE-unix/11714
:GNOME_KEYRING_CONTROL=/tmp/keyring-fTE4cZ
:SSH_AUTH_SOCK=/tmp/keyring-fTE4cZ/ssh
:GPG_AGENT_INFO=/tmp/keyring-fTE4cZ/gpg:0:1
:LC_TIME=it_IT.utf8
:LC_NUMERIC=it_IT.utf8
:LC_MONETARY=it_IT.utf8
:LC_MEASUREMENT=it_IT.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-11928-lilith-evolution-8_TIME53596789
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27809

var_log_messages:
:Nov 21 01:17:11 lilith yum[3131]: Installed: evolution-couchdb-0.5.91-4.fc16.i686
:Nov 21 01:17:12 lilith yum[3131]: Installed: evolution-rss-0.2.90-30.20110818git.fc16.i686
:Nov 21 01:17:13 lilith yum[3131]: Installed: gnome-python2-evolution-2.32.0-5.fc16.i686
:Nov 21 01:21:14 lilith kernel: [ 4495.383296] evolution[2026]: segfault at 6b8310 ip 4616bd76 sp ae4faba0 error 4 in libnss3.so[4613a000+13e000]
:Nov 21 01:58:36 lilith kernel: [ 6737.379485] evolution[3933]: segfault at 0 ip 45db6bb0 sp bfd6f750 error 4 in libgtk-3.so.0.200.1[45b3e000+475000]
:Nov 21 01:59:38 lilith kernel: [ 6799.696356] evolution[14606]: segfault at 0 ip 45db6bb0 sp bfb38e60 error 4 in libgtk-3.so.0.200.1[45b3e000+475000]
:Nov 23 02:31:17 lilith abrt[27787]: Saved core dump of pid 27780 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2011-11-23-02:31:17-27780 (54345728 bytes)
:Nov 23 02:31:52 lilith abrt[27816]: Saved core dump of pid 27809 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2011-11-23-02:31:51-27809 (54345728 bytes)
Comment 1 Andrea Dell'Amico 2011-11-22 20:45:54 EST
Created attachment 535307 [details]
File: event_log
Comment 2 Andrea Dell'Amico 2011-11-22 20:45:56 EST
Created attachment 535308 [details]
File: dso_list
Comment 3 Andrea Dell'Amico 2011-11-22 20:45:58 EST
Created attachment 535309 [details]
File: smolt_data
Comment 4 Andrea Dell'Amico 2011-11-22 20:46:02 EST
Created attachment 535310 [details]
File: xsession_errors
Comment 5 Andrea Dell'Amico 2011-11-22 20:46:05 EST
Created attachment 535311 [details]
File: maps
Comment 6 Andrea Dell'Amico 2011-11-22 20:46:08 EST
Created attachment 535312 [details]
File: backtrace
Comment 7 Milan Crha 2011-11-23 03:37:43 EST
Thanks for a bug report. I d not see how this could crash, especially when invoking GConf functions, thus I would like to ask you to run evolution from console and repeat the crash, while the console output will be gathered into a file. You can do that when you run evolution like this:
   $ evolution &>log.txt
The log.txt file will contain the information. I tend to move this to GConf, but I want to know what the GConf claims before it aborts the application. Also, does this crash happen when you restart your machine? I'm wondering whether some module was missing or something, but that might happen only after installing a software and running is immediately, though even that rather rarely.
Comment 8 Andrea Dell'Amico 2011-11-23 08:48:13 EST
I see that there's an evolution update. And yes, I did a reboot after submitting the report because I needed to read my email, and evolution started.
If the crash occurs again, I'll run evolution from the command line redirecting the output.
Comment 9 Milan Crha 2011-11-24 05:24:25 EST
OK, thanks. I'm closing this for now, but please feel free to reopen with the console log or file a new bug report. Thanks in advance.
Comment 10 Andrea Dell'Amico 2011-11-24 12:50:26 EST
Created attachment 535990 [details]
The log of evolution not starting


It seems a gconf/dbus problem, indeed. The attached file has the evolution output from the invocation until it aborts.

It crashed, previously, for the same reason: it couldn't talk to gconf anymore.

I don't know how to debug it.
Comment 11 Milan Crha 2011-11-25 01:35:51 EST
Thanks for the update. It seems to me like an issue with GConf, thus I'm reopening and moving it there.

> Configuration server couldn't be contacted: D-BUS error: The GConf daemon is
> currently shutting down.
Comment 12 Garrett Mitchener 2011-12-11 21:06:52 EST
I'm also seeing this in Gnome when running quodlibet.

Possible duplicate: Bug # 758129
Comment 13 Milan Crha 2011-12-12 05:05:16 EST
*** Bug 755040 has been marked as a duplicate of this bug. ***
Comment 14 Milan Crha 2011-12-16 02:12:28 EST
*** Bug 768220 has been marked as a duplicate of this bug. ***
Comment 15 Joe Hutley 2011-12-17 01:25:04 EST
Regression of problem. GConf error upon clicking the "Mail Reader" application menu button.

rating: 4
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 16 Juan 2011-12-17 15:00:09 EST
After some time working in gnome with evolution open, when I try to close it (in this case) or perform other actions, an error appears regarding a problem with gconf.

rating: 4
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 17 Olivier Penhoat 2011-12-20 16:18:38 EST
Launch Evolution

rating: 4
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 18 Milan Crha 2011-12-21 04:08:36 EST
*** Bug 769342 has been marked as a duplicate of this bug. ***
Comment 19 Máirín Duffy 2011-12-21 11:31:58 EST
this just happened to me again, while evince was loading a pdf.
Comment 20 Milan Crha 2011-12-22 03:38:00 EST
I just noticed in user's valgrind log from bug #769523 comment #7, at its very beginning, the below lines, which seem to be related. I have no idea what happened in the background, though.

> (e-addressbook-factory:15849): GConf-WARNING **: Got Disconnected from DBus.
>
> GConf warning: failure listing pairs in `/apps/evolution/shell/
> network_config': Configuration server couldn't be contacted: D-BUS error:
> Connection was disconnected before a reply was received
Comment 21 Jim 2012-01-01 17:54:10 EST
was trying to contact someone from a link on their website (liked contained email address).  Evolution died in process.

backtrace_rating: 4
Package: evolution-3.2.2-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 22 Jim 2012-01-01 17:54:15 EST
Created attachment 550171 [details]
File: backtrace
Comment 23 itsjustarumour 2012-01-28 06:22:43 EST
I'm still getting this on standard Fedora 16 (64-bit), when trying to use Firefox or Gnome Terminal. Usually, its just after I've logged into the desktop and tried opening the application for the first time.
Comment 24 mfohler 2012-01-31 17:38:31 EST
All the same here like in Comment 23!
Comment 25 Grzegorz Witkowski 2012-02-09 05:17:05 EST
Please see Bug 758129 - Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
Comment 26 Calum 2012-02-13 19:39:18 EST
*** Bug 790204 has been marked as a duplicate of this bug. ***
Comment 27 Ray Strode [halfline] 2012-02-13 23:29:43 EST
*** Bug 758129 has been marked as a duplicate of this bug. ***
Comment 28 Fedora Update System 2012-02-14 00:44:23 EST
GConf2-3.2.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/GConf2-3.2.3-3.fc16
Comment 29 Ray Strode [halfline] 2012-02-14 00:45:53 EST
The above build may fix this issue, though, I'm not certain.  I'd appreciate confirmation (or negative feedback).
Comment 30 Máirín Duffy 2012-02-14 13:42:49 EST
So far so good, no crashes and it's been running for a few hours. Will keep you updated.
Comment 31 Paolo Leoni 2012-02-14 14:03:25 EST
Thank you Ray, I've updated many hours ago and still no crash.
Well done.
Comment 32 mfohler 2012-02-14 16:31:54 EST
Installed the two packages with the followind command as root:
rpm -U GConf2-3.2.3-3.fc16.x86_64.rpm GConf2-gtk-3.2.3-3.fc16.x86_64.rpm 

The following error appeared in terminal:
/sbin/ldconfig: /usr/lib64/libgnome-menu.so.2 is not a symbolic link
/sbin/ldconfig: /usr/lib64/libgnome-menu.so.2 is not a symbolic link

yum says it's installed fine though, and no further errors so far. Will keep you up to date!
Comment 33 mfohler 2012-02-15 04:40:31 EST
Installed the two packages with the followind command as root:
rpm -U GConf2-3.2.3-3.fc16.x86_64.rpm GConf2-gtk-3.2.3-3.fc16.x86_64.rpm 

The following error appeared in terminal:
/sbin/ldconfig: /usr/lib64/libgnome-menu.so.2 is not a symbolic link
/sbin/ldconfig: /usr/lib64/libgnome-menu.so.2 is not a symbolic link

yum says it's installed fine though, and no further errors so far. Will keep you up to date!
Comment 34 Fedora Update System 2012-02-15 06:35:05 EST
Package GConf2-3.2.3-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing GConf2-3.2.3-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1691/GConf2-3.2.3-3.fc16
then log in and leave karma (feedback).
Comment 35 2.byte.hero 2012-02-16 04:14:26 EST
Clicked a mailto link in Chrome.  I don't believe I have used Evolution yet on this system because its a new install so I don't know whether it is a fresh-install user preferences issue or what.  Forwarding what little info I have.

backtrace_rating: 4
Package: evolution-3.2.3-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 36 2.byte.hero 2012-02-16 04:14:32 EST
Created attachment 562444 [details]
File: backtrace
Comment 37 mfohler 2012-02-19 13:22:09 EST
Direct installation of two packages (GConf and GConf-gtk) didn't seem to fix the issue, still error when starting firefox or gnome-terminal. Also after reinstallation of both packages with yum (see comment 34) the issue was gone after reboot. I will observe it further and may keep you posted.
Comment 38 mfohler 2012-02-21 05:34:16 EST
The issue still seems to be fixed by the update, thanks very much! If the problem should reapear I will post it here.
Comment 39 jigmantao 2012-02-21 17:30:24 EST
Was just trying to open evolution, happened after updating fedora16.

backtrace_rating: 4
Package: evolution-3.2.3-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)
Comment 40 jigmantao 2012-02-21 17:30:29 EST
Created attachment 564795 [details]
File: backtrace
Comment 41 Andrea Dell'Amico 2012-02-23 07:22:17 EST
It's still happening on the machine from where I reported the issue. Even after the update of the GConf2 packages.
Comment 42 Máirín Duffy 2012-02-23 10:49:51 EST
Since installing the testing updates package and using my machine 9-12 hours a day, it has only crashed twice in the same manner. This is a huge improvement over the 2x / day crashes but it isn't completely fixed.
Comment 43 Garrett Mitchener 2012-02-29 16:35:13 EST
Possibly related: Today I'm getting error messages

Could not register the application: Timeout was reached

when I try to start nautilus.  Other gnome apps seem to be fine.
Comment 44 Calum 2012-03-01 20:11:46 EST
*** Bug 799145 has been marked as a duplicate of this bug. ***
Comment 45 Grzegorz Witkowski 2012-03-05 18:34:50 EST
Tried to launch VM Manager.

Error starting Virtual Machine Manager: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.

Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 383, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 315, in main
    config = virtManager.config.vmmConfig(appname, appversion, glade_dir)
  File "/usr/share/virt-manager/virtManager/config.py", line 98, in __init__
    self.conf.add_dir(self.conf_dir, gconf.CLIENT_PRELOAD_NONE)
GError: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.

gnome-terminal also failed to start.

Killed /usr/libexec/gconfd-2 and all is back to normal.
Comment 46 Fedora Update System 2012-03-06 15:51:31 EST
GConf2-3.2.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/GConf2-3.2.3-4.fc16
Comment 47 Adam Walczak 2012-03-19 20:06:59 EDT
I'm almost sure this bug also caused:
https://bugzilla.redhat.com/show_bug.cgi?id=755992

Keeping a lookout if it helped.
Comment 48 James 2012-03-20 13:14:34 EDT
Just caught this with GConf2-3.2.3-4.fc16.x86_64, when starting Nautilus. Rectified by killing the existing gconfd-2 and starting it again via Alt+F2.
Comment 49 abrt-bot 2012-03-21 10:59:53 EDT
Backtrace analysis found this bug to be similar to some already closed bugs from other components. You might want to check those bugs for additional information.

Bugs which were found to be similar to this bug: 
  evolution: bug #755040, bug #761287, bug #785861

This comment is automatically generated.
Comment 50 Paolo Leoni 2012-03-22 09:38:45 EDT
Problem still happening even after update of last GConf2 packages.
Total freeze of Evolution and gnome-terminal until session closing.

GConf2.x86_64                    3.2.3-4.fc16       @updates-testing
Comment 51 Milan Crha 2012-03-26 06:01:45 EDT
(In reply to comment #50)
> Problem still happening even after update of last GConf2 packages.
> Total freeze of Evolution and gnome-terminal until session closing.
> 
> GConf2.x86_64                    3.2.3-4.fc16       @updates-testing

Does it claim the same error? Maybe this is also related to bug #755791.
Comment 52 Jonathan Kamens 2012-04-19 15:14:05 EDT
Just saw this in F17 x86_64 with all current RPMs from updates-testing, immediately after a reboot and autologin.

As above, fixed it by killing gconfd-2 and restarting /usr/libexec/gconfd-2 with Alt+F2.

Reopening ticket and moving to F17.
Comment 53 Germán Racca 2012-04-24 08:06:27 EDT
I also has this problem with Evolution, it is impossible to use it this way. The log of Evolution is the same as in comment 10. Thanks.
Comment 54 Robert Keersse 2012-04-27 14:09:37 EDT
new mail, insert smileys -> crash evolution

backtrace_rating: 4
Package: evolution-3.2.3-3.fc16
OS Release: Fedora release 16 (Verne)
Comment 55 Robert Keersse 2012-04-27 14:09:48 EDT
Created attachment 580825 [details]
File: backtrace
Comment 56 emrsdias 2012-05-15 05:39:22 EDT
Updating to GConf2-3.2.3-4 does not solve the problem!
Have to close the session and start a new one (most of the times) after booting.
However, I thing you are on the right track!
How can I help?? (I'm just a user with a very limited knowledge of the inner workings of linux)

Eduardo Dias
Comment 57 Gaetano Santoro 2012-05-22 04:14:44 EDT
Hi All, 

just my experience....

I've installed Fedora 16 in virtual box VM, the VM was configured with ONE processor and I/O apic DISABLED, and gnome terminal always works

some day ago, I change VM settings to use TWO processors and I was forced to ENABLE I/O apic

after these changes the gnome terminal stop working, and the only way to get it works again is to kill the gconfd-2 process (/usr/libexec/gconfd-2)

today I updated the kernel with yum update, and see that gnome terminal works, but maybe an isolated case
after this I reinstalled virtual box guest addtions, and reboot

again the gnome terminal stop working

if I back to work with only ONE processor and i/o apic disabled the terminal works fine every time I open it

so, I suppose the bug is related to the i/o apic

I hope this info helps

bye
Gaetano
Comment 58 Aaron Schlaegel 2012-06-02 20:46:59 EDT
I upgraded to F17, and still gnome-terminal periodically refuses to start because "GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down."
Comment 59 Aaron Schlaegel 2012-06-02 21:46:07 EDT
With F17, I still periodically cannot start gnome-terminal, and instead get "GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down."

I can remedy the situation and get gnome-terminal running by hitting ALT-F2 and then typing... 
               killall gconfd-2

This is using GConf2-3.2.5-1.fc17.x86_64
Comment 60 Michael Schwendt 2012-06-04 04:28:07 EDT
*** Bug 827995 has been marked as a duplicate of this bug. ***
Comment 61 Paolo Leoni 2012-06-04 05:33:37 EDT
I think severity of this bug should be marked as "HIGH". 
GConf stops very often at the moment, so there're problems with much applications.
Comment 62 shakka.by 2012-06-26 15:09:06 EDT
Just launched deluge

Package: deluge-gtk-1.3.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 63 Isaac Fischer 2012-07-11 13:47:48 EDT
Lanched from an associated magnet link in Chrome

Package: deluge-gtk-1.3.3-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 64 kpijarski 2012-08-13 07:06:31 EDT
I am having exactly the same problems, most often with gnome-terminal and nautilus. sometimes nautilus takes FOREVER to start, sometimes I have try many times until it happens, sometimes it wouldn't at all and I'd have to logout and login again. A big nuisance. I think I also had related problems with colord - after starting the screen was not color managed anymore and I had to reboot to make it work again. Can't wait for gnome 3.6....
Comment 65 Grzegorz Witkowski 2012-08-13 15:40:11 EDT
You do not (In reply to comment #64)
> I am having exactly the same problems, most often with gnome-terminal and
> nautilus. sometimes nautilus takes FOREVER to start, sometimes I have try
> many times until it happens, sometimes it wouldn't at all and I'd have to
> logout and login again. A big nuisance. I think I also had related problems
> with colord - after starting the screen was not color managed anymore and I
> had to reboot to make it work again. Can't wait for gnome 3.6....

You do not need to logout. Just kill the process of /usr/libexec/gconfd-2 and all apps will start to work.
Comment 66 Mads Villadsen 2012-08-24 04:16:40 EDT
*** Bug 851420 has been marked as a duplicate of this bug. ***
Comment 67 Máirín Duffy 2012-09-07 14:10:48 EDT
Can anybody reproduce this in Fedora 18?
Comment 68 Máirín Duffy 2012-09-07 16:01:30 EDT
Comment 57 could suggest that maybe this issue is thread-related, since having two cpus vs one cpu triggered the issue. gnome-terminal is not multi-threaded, however, so there goes that theory.
Comment 69 Máirín Duffy 2012-09-10 09:39:30 EDT
If anybody has a backtrace of this happening with GConf2-3.2.3-3 or any higher version, it would be extremely useful if you could post it to this bug. All of the backtraces attached to this bug are from before Ray's update so they aren't as helpful right now. 

You can find more information about generating them here:
http://fedoraproject.org/wiki/StackTraces

Or you can ask for help here.
Comment 70 Paolo Leoni 2012-09-10 11:42:59 EDT
Hi Mo,
I'll try to "generate" a crash with terminal or some other Gconf-related application. Btw, after some updates, creashes are occurring very few times on F17.

On F18 I don't hane noticed problems with GConf2 until now. 

Let you know soon.

Bye.
Paolo
Comment 71 Máirín Duffy 2012-09-10 15:49:28 EDT
Paolo, that would be fantastic! gnome-terminal is your best bet if you're using F18 - evolution has been moved off of gconf2 in F18.
Comment 72 Paolo Leoni 2012-09-10 18:54:13 EDT
Hi Mo,
I reproduced this bug in F17 in this way:

1. open nautilus
2. right-click and click on "open in terminal", in the context menu (obtained with nautilus-open-terminal package).

On F18 - Tc5, there isn't this problem (until now).

Btw, I have a backtrace obtained with:

gnome-terminal.x86_64            3.4.1.1-1.fc17 
GConf2.x86_64                    3.2.5-1.fc17


This problem seems to be related to this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=755992

I hope these info can help you.

Paolo
Comment 73 Paolo Leoni 2012-09-10 18:55:14 EDT
Created attachment 611597 [details]
gnome-terminal crash - backtrace

backtrace obtained with:

gnome-terminal.x86_64            3.4.1.1-1.fc17 
GConf2.x86_64                    3.2.5-1.fc17
Comment 74 Máirín Duffy 2012-09-13 10:05:55 EDT
Awesome Paolo - thanks!

I think the main line of interest in your F17 gnome-terminal backtrace is this one:

$2 = 0x126bc60 "ERROR:terminal-app.c:1449:terminal_app_init: assertion failed: (app->default_profile_id != NULL)"

In the F16 backtrace of evolution, this was the line of interest, which Ray's GConf update fixed specifically:

"#4  0x4548ee1d in _dbus_warn_check_failed (format=0x4549f33c "arguments to %s() were incorrect, assertion \"%s\" failed in file %s line %d.\nThis is normally a bug in some application using the D-Bus library.\n") at dbus-internals.c:289
        args = 0xbfcc5f54 "\250\335IE\221\253IE%\333IE\256\004""

It might be interesting that gnome-terminal seems to be crashing with a missing default profile id - I think the entire reason gnome-terminal is still on gconf2 and not dconf in F17 is because gconf supports the storage of multiple terminal profiles while dconf does not yet do this.

I'll talk to Ray about this and see if he has any ideas.
Comment 75 Ray Strode [halfline] 2012-09-13 18:27:33 EDT
i'm pushing a work around that may help with this issue.  Once it's built, i'll put an update in updates-testing and would appreciate feedback.
Comment 76 Fedora Update System 2012-09-13 18:35:12 EDT
GConf2-3.2.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/GConf2-3.2.5-2.fc17
Comment 77 Paolo Leoni 2012-09-16 03:29:07 EDT
After new update, gnome-terminal seems to be ok and faster in F17.
Thank you!
Comment 78 Fedora Update System 2012-09-17 13:20:48 EDT
Package GConf2-3.2.5-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing GConf2-3.2.5-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14031/GConf2-3.2.5-2.fc17
then log in and leave karma (feedback).
Comment 79 Paolo Leoni 2012-09-24 03:34:34 EDT
Having a new GConf2 crash this morning, this time after login. See attachment for a backtrace.
Comment 80 Paolo Leoni 2012-09-24 03:35:44 EDT
Created attachment 616390 [details]
GConf2 crash after login

GConf2 crash after login
Comment 81 David Jansen 2012-09-25 07:17:10 EDT
Any news about a fix for Fedora 16?
Comment 82 David Rees 2012-10-05 00:17:42 EDT
(In reply to comment #81)
> Any news about a fix for Fedora 16?

+1. Still seeing this frequently on F16, only on a fresh session, never in the middle of one like some others above. I have been logging out/in to get things to work again.
Comment 83 Ray Strode [halfline] 2012-10-09 14:50:26 EDT
Paolo, please see https://admin.fedoraproject.org/updates/FEDORA-2012-14031/GConf2-3.2.5-3.fc17 for a package that should fix the problem alluded to in comment 80
Comment 84 Paolo Leoni 2012-10-09 18:07:37 EDT
I don't have had any Gconf related crash until now (package updated yesterday), I tried to login many times and still no crash. I think it's ok. 

Thank you Ray.
Comment 85 Michael Schwendt 2012-10-18 04:18:58 EDT
*** Bug 867648 has been marked as a duplicate of this bug. ***
Comment 86 Fedora Update System 2012-10-21 05:21:43 EDT
GConf2-3.2.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/GConf2-3.2.5-3.fc18
Comment 87 Christian Stadelmann 2012-10-30 16:31:54 EDT
Bug was fixed for me with GConf2-3.2.5-2.fc17, now with GConf2-3.2.5-3.fc17 I am having those GConf crashes again.
Comment 88 Juergen Dankoweit 2012-11-05 02:41:39 EST
Hello,

the same problemes here with Fedora 16 and the following components:

gnome-desktop.x86_64 2.32.0-9.fc16 
gnome-terminal-3.2.1-2.fc16
GConf2.x86_64 3.2.3-1.fc16

Regards
Comment 89 Calum 2012-11-22 07:37:50 EST
*** Bug 876823 has been marked as a duplicate of this bug. ***
Comment 90 Milan Crha 2012-12-11 02:38:50 EST
*** Bug 885712 has been marked as a duplicate of this bug. ***
Comment 91 Fedora Update System 2012-12-20 10:37:41 EST
GConf2-3.2.3-3.fc16 has been pushed to the Fedora 16 obsolete repository.  If problems still persist, please make note of it in this bug report.
Comment 92 Jonathan Kamens 2013-01-16 12:32:59 EST
Reopening.  Just saw this happen again in a newly installed F18, and I also saw it periodically in F17 even with all current updates.
Comment 93 Fedora Update System 2013-01-23 11:17:59 EST
GConf2-3.2.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 94 Jonathan Kamens 2013-01-23 12:32:19 EST
IT'S HAPPENING IN FEDORA 18.
Comment 95 Chris Smart 2013-02-04 23:33:31 EST
Got this today on f18 when opening virt-manager:

Error starting Virtual Machine Manager: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.

Traceback (most recent call last):
  File "/usr/share/virt-manager/virt-manager.py", line 392, in <module>
    main()
  File "/usr/share/virt-manager/virt-manager.py", line 327, in main
    options.testfirstrun)
  File "/usr/share/virt-manager/virtManager/config.py", line 99, in __init__
    self.conf.add_dir(self.conf_dir, gconf.CLIENT_PRELOAD_NONE)
GError: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
Comment 96 Calum 2013-02-20 20:41:06 EST
*** Bug 913159 has been marked as a duplicate of this bug. ***
Comment 97 rhbug 2013-02-22 16:51:49 EST
Seeing this almost weekly on Fedora 17 with latest updates. Killing and restarting gconfd-2 resolves the issue. Attaching output of strace attached to gconfd-2 while attempting to start gnome-terminal and one of attempting to starting gnome-terminal itself.

$ gnome-terminal
GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
GConf Error: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.
**
ERROR:terminal-app.c:1449:terminal_app_init: assertion failed: (app->default_profile_id != NULL)
Aborted
Comment 98 rhbug 2013-02-22 16:53:32 EST
Created attachment 701370 [details]
attempting to start gnome-terminal
Comment 99 rhbug 2013-02-22 16:54:05 EST
Created attachment 701371 [details]
tracing gconfd-2 while attempting to start gnome-terminal
Comment 100 Ray Strode [halfline] 2013-03-01 15:58:32 EST
okay let's just make gconfd never shutdown while the session is up.
Comment 101 Ray Strode [halfline] 2013-03-01 16:05:33 EST
huh, we already made that change.
Comment 102 Ray Strode [halfline] 2013-03-01 16:10:13 EST
oh looks like SIGPIPE isn't handled properly.
Comment 103 Calum 2013-03-21 20:40:07 EDT
*** Bug 919892 has been marked as a duplicate of this bug. ***
Comment 104 Juergen Dankoweit 2013-03-22 11:45:46 EDT
In Fedora16/17/18 the problem still exists. Switching to FreeBSD
Comment 105 Christian Stadelmann 2013-06-03 17:19:16 EDT
I don't see this problem any more on Fedora 18.
Comment 106 Jerry James 2013-06-03 17:29:39 EDT
I had it happen just this morning on a fully updated Fedora 18 x86_64.  Does comment 102 suggest that a fix is in the works?
Comment 107 rhbug 2013-06-07 19:19:55 EDT
Can confirm this still happens on updated Fedora 17 as well. It seems to have improved though for me since it hasn't happened in weeks, luck perhaps?
Comment 108 Garrett Mitchener 2013-06-21 09:35:11 EDT
Saw this again today on an up-to-date Fedora 18 machine.  Gnome apps like terminal and nautilus are unresponsive to the point of being useless when it happens.
Comment 109 mukheem 2013-08-05 04:38:37 EDT
Even I too seeing this issue on fusionlinux16,
 cat /proc/version 
Linux version 3.1.2-1.fc16.x86_64 (mockbuild@x86-04.phx2.fedoraproject.org) (gcc version 4.6.2 20111027 (Red Hat 4.6.2-1) (GCC) ) #1 SMP Tue Nov 22 09:00:57 UTC 2011

types.py:43:function:GError: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.

Traceback (most recent call last):
  File "/usr/bin/gnome-tweak-tool", line 76, in <module>
    MainWindow()
  File "/usr/lib/python2.7/site-packages/gtweak/mainwindow.py", line 44, in __init__
    model)
  File "/usr/lib/python2.7/site-packages/gtweak/tweakview.py", line 40, in __init__
    self._model.load_tweaks()
  File "/usr/lib/python2.7/site-packages/gtweak/tweakmodel.py", line 131, in load_tweaks
    mods = __import__("gtweak.tweaks", globals(), locals(), tweak_files, 0)
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_windows.py", line 76, in <module>
    WindowThemeSwitcher(group_name=TWEAK_GROUP_THEME),
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_windows.py", line 54, in __init__
    **options)
  File "/usr/lib/python2.7/site-packages/gtweak/widgets.py", line 215, in __init__
    self.gconf.get_value(),
  File "/usr/lib/python2.7/site-packages/gtweak/gconf.py", line 62, in get_value
    return self._client.get_string(self._key)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 43, in function
    return info.invoke(*args, **kwargs)
GError: Configuration server couldn't be contacted: D-BUS error: The GConf daemon is currently shutting down.

Local variables in innermost frame:
info: <gi.FunctionInfo object (get_string) at 0x0xcffb00>
args: (<Client object at 0xc59dc0 (GConfClient at 0xad8580)>, '/desktop/gnome/shell/windows/theme')
kwargs: {}
Comment 110 Jonathan Kamens 2013-12-20 07:42:16 EST
Still happening in Fedora 20. Awesome! Version updated.
Comment 111 Fedora End Of Life 2013-12-21 09:58:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 112 Fedora End Of Life 2015-05-29 04:41:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 113 Fedora End Of Life 2015-06-29 20:34:57 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.